Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface GinLinkedBindingBuilder<T>

All Superinterfaces:
  GinScopedBindingBuilder

All Known Subinterfaces:
  GinAnnotatedBindingBuilder<T>

    public interface GinLinkedBindingBuilder<T>

extends GinScopedBindingBuilder

See the EDSL examples at `GinBinder`.

Method Summary
`
`<I extends T> GinScopedBindingBuilder`
` | `to(java.lang.Class<I> implementation)` See the EDSL examples at `GinBinder`.
`
`<I extends T> GinScopedBindingBuilder`
` | `to(Key<I> targetKey)` See the EDSL examples at `GinBinder`.
`
`<I extends T> GinScopedBindingBuilder`
` | `to(TypeLiteral<I> implementation)` See the EDSL examples at `GinBinder`.
`
`<I extends javax.inject.Provider<? extends T>> GinScopedBindingBuilder`
` | `toProvider(java.lang.Class<I> provider)` See the EDSL examples at `GinBinder`.
`
`<I extends javax.inject.Provider<? extends T>> GinScopedBindingBuilder`
` | `toProvider(Key<I> providerKey)` See the EDSL examples at `GinBinder`.

Methods inherited from interface com.google.gwt.inject.client.binder.GinScopedBindingBuilder
`asEagerSingleton, in`

Method Detail

### to

    <I extends T> GinScopedBindingBuilder to(java.lang.Class<I> implementation)

  See the EDSL examples at `GinBinder`.

### to

    <I extends T> GinScopedBindingBuilder to(TypeLiteral<I> implementation)

  See the EDSL examples at `GinBinder`.

### to

    <I extends T> GinScopedBindingBuilder to(Key<I> targetKey)

  See the EDSL examples at `GinBinder`.

### toProvider

    <I extends javax.inject.Provider<? extends T>> GinScopedBindingBuilder toProvider(java.lang.Class<I> provider)

  See the EDSL examples at `GinBinder`.

### toProvider

    <I extends javax.inject.Provider<? extends T>> GinScopedBindingBuilder toProvider(Key<I> providerKey)

  See the EDSL examples at `GinBinder`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD